<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/tools/UIScriptedWindow.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d12/_u_i_scripted_window_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">UIScriptedWindow.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d12/_u_i_scripted_window_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d62/class_u_i_scripted_window.html">UIScriptedWindow</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#ade2b2c6cc464945f66e84b58cce42bac">    3</a></span>    <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>  <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#ade2b2c6cc464945f66e84b58cce42bac">m_WgtRoot</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#aa1702be30519758f48eddd0db5c6aeac">    4</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#aa1702be30519758f48eddd0db5c6aeac">m_Id</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    <span class="comment">//---MOVE TO UIMANAGER WHEN FIXED</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#afa9150e704fb082bee6dbf0f2d175a80">    7</a></span>    <span class="keyword">static</span> ref <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, UIScriptedWindow&gt;</a> <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#afa9150e704fb082bee6dbf0f2d175a80">m_ActiveWindows</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#af21bb918af28947b32708d1d87206545">    9</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#af21bb918af28947b32708d1d87206545">AddToActiveWindows</a>( <span class="keywordtype">int</span> <span class="keywordtype">id</span>, <a class="code hl_class" href="../../d9/d62/class_u_i_scripted_window.html">UIScriptedWindow</a> window )</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#afa9150e704fb082bee6dbf0f2d175a80">m_ActiveWindows</a> == NULL )</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#afa9150e704fb082bee6dbf0f2d175a80">m_ActiveWindows</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, UIScriptedWindow&gt;</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#afa9150e704fb082bee6dbf0f2d175a80">m_ActiveWindows</a>.Insert( <span class="keywordtype">id</span>, window );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#aa07e8f1280394bb316c892bf5728274d">   19</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#aa07e8f1280394bb316c892bf5728274d">RemoveFromActiveWindows</a>( <span class="keywordtype">int</span> <span class="keywordtype">id</span> )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#afa9150e704fb082bee6dbf0f2d175a80">m_ActiveWindows</a> )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#afa9150e704fb082bee6dbf0f2d175a80">m_ActiveWindows</a>.Remove( <span class="keywordtype">id</span> );   </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#aed85218c34e3d52bdf288d731b98aa0a">   27</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d9/d62/class_u_i_scripted_window.html">UIScriptedWindow</a> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#aed85218c34e3d52bdf288d731b98aa0a">GetWindow</a>( <span class="keywordtype">int</span> <span class="keywordtype">id</span> )</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#afa9150e704fb082bee6dbf0f2d175a80">m_ActiveWindows</a> )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#afa9150e704fb082bee6dbf0f2d175a80">m_ActiveWindows</a>.Get( <span class="keywordtype">id</span> );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">return</span> NULL;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#afd80e1dc4bad32e5016e7727ab0fb9c1">   37</a></span>    <span class="keyword">static</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, UIScriptedWindow&gt;</a> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#afd80e1dc4bad32e5016e7727ab0fb9c1">GetActiveWindows</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#afa9150e704fb082bee6dbf0f2d175a80">m_ActiveWindows</a>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="comment">//---</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a12e6728928469272546f49b2f6b39229">   44</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a12e6728928469272546f49b2f6b39229">UIScriptedWindow</a>(<span class="keywordtype">int</span> <span class="keywordtype">id</span>)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#aa1702be30519758f48eddd0db5c6aeac">m_Id</a> = id;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a81f0bb2922a540464f54fc8fe73882d8">   49</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a81f0bb2922a540464f54fc8fe73882d8">~UIScriptedWindow</a>()</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#aca7dc84cfb655a970e03b71315940312">GetWidgetRoot</a>().Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keyword">delete</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#aca7dc84cfb655a970e03b71315940312">GetWidgetRoot</a>();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#aca7dc84cfb655a970e03b71315940312">   55</a></span>    <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#aca7dc84cfb655a970e03b71315940312">GetWidgetRoot</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#ade2b2c6cc464945f66e84b58cce42bac">m_WgtRoot</a>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a555f5825c8a6c8d092b1cb2c8a77397f">   60</a></span>    <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a555f5825c8a6c8d092b1cb2c8a77397f">Init</a>()</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#aa3b30043c050497e11a7b29b50fba953">   64</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#aa3b30043c050497e11a7b29b50fba953">ShowWindow</a>()</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#aca7dc84cfb655a970e03b71315940312">GetWidgetRoot</a>().Show( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a9c65428723356cd8b1e56c46cf79e4ed">   69</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a9c65428723356cd8b1e56c46cf79e4ed">HideWindow</a>()</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#aca7dc84cfb655a970e03b71315940312">GetWidgetRoot</a>().Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a226e578ba4bc806923767ae4e54ff3e0">   74</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a226e578ba4bc806923767ae4e54ff3e0">CloseWindow</a>()</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#acadc14e9bfa1f155646521dc97e67e15">CloseWindow</a>( <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#aa1702be30519758f48eddd0db5c6aeac">m_Id</a> );</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="comment">//--- EVENTS</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a56963612e32f35c1a1621852ecb40517">   80</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a56963612e32f35c1a1621852ecb40517">OnClick</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#ad2ee57d89d600b4ed375e7e70a90b38e">   85</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#ad2ee57d89d600b4ed375e7e70a90b38e">OnModalResult</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> code, <span class="keywordtype">int</span> result)</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#ace798237a0ce2a1ee1800e488f9c057d">   90</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#ace798237a0ce2a1ee1800e488f9c057d">OnDoubleClick</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a7dbaca7c74df49be8b447938b65840f2">   95</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a7dbaca7c74df49be8b447938b65840f2">OnSelect</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#aab2edb4b1f502814b0adf6e9d28294e7">  100</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#aab2edb4b1f502814b0adf6e9d28294e7">OnItemSelected</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> row, <span class="keywordtype">int</span>  column,   <span class="keywordtype">int</span>  oldRow, <span class="keywordtype">int</span>  oldColumn)</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#afb130edfd85440aad06ab654765f6801">  105</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#afb130edfd85440aad06ab654765f6801">OnFocus</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a159898fa5d95551103390fa2ab7ae38a">  110</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a159898fa5d95551103390fa2ab7ae38a">OnFocusLost</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#ad15cf8ff3756b620cb97d261f917567e">  115</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#ad15cf8ff3756b620cb97d261f917567e">OnMouseEnter</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a73235400777cb1ce9b47cb61c287b52a">  120</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a73235400777cb1ce9b47cb61c287b52a">OnMouseLeave</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> enterW, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a82efd3d19be18ccefa645d47383f15fb">  125</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a82efd3d19be18ccefa645d47383f15fb">OnMouseButtonDown</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a762de710fb67819ec2e35c1c4ea6fcf4">  130</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a762de710fb67819ec2e35c1c4ea6fcf4">OnMouseButtonUp</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a5d894240ab4474a88257b565dc0539b1">  135</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a5d894240ab4474a88257b565dc0539b1">OnMouseWheel</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> wheel)</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#ac0f32e0c3c142554d83e77c734bdad91">  140</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#ac0f32e0c3c142554d83e77c734bdad91">OnController</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> control, <span class="keywordtype">int</span> value)</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#acc4d2577ff8a2f86f770a61fba091848">  145</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#acc4d2577ff8a2f86f770a61fba091848">OnKeyDown</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> key)</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    {</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    }</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a2c991cc48a35c319c32809ab84f4544c">  150</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a2c991cc48a35c319c32809ab84f4544c">OnKeyUp</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> key)</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a9cb0aced3905cf2f0211cfb42b1f299f">  155</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a9cb0aced3905cf2f0211cfb42b1f299f">OnKeyPress</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> key)</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a30406a035702d94d269a5cc74122c45c">  160</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a30406a035702d94d269a5cc74122c45c">OnChange</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">bool</span> finished)</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    {</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a898a73fbf1feaefccf2abd9815f60bac">  165</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a898a73fbf1feaefccf2abd9815f60bac">OnDrag</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    {</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    }</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#af7095a60415b4ba4e79b3ae056ae51e6">  170</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#af7095a60415b4ba4e79b3ae056ae51e6">OnDragging</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> reciever)</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#ae087cf88e559512c4d9b4a2308e98ed4">  175</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#ae087cf88e559512c4d9b4a2308e98ed4">OnDraggingOver</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> reciever)</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a8fb7178aa83c9caac963bc07b82ae284">  180</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a8fb7178aa83c9caac963bc07b82ae284">OnDrop</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> reciever)</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    {</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    }</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a8661439665213c34a22f243523917e90">  185</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a8661439665213c34a22f243523917e90">OnDropReceived</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> reciever)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    {</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    }</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#aef23c61c9d23f8b6c5faab31c713fd0b">  190</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#aef23c61c9d23f8b6c5faab31c713fd0b">OnEvent</a>(<a class="code hl_typedef" href="../../d9/d0e/group___widget_a_p_i.html#ga8bb92c7c1a97bd358a549857dc2fe53c">EventType</a> eventType, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> target, <span class="keywordtype">int</span> parameter0, <span class="keywordtype">int</span> parameter1)</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>    {</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    }</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    </div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>    </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>    </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    </div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    </div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    </div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>    </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    </div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    </div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>    </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>}</div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="aclass_c_game_html_a00980b6b66e736a4af85fe1a935fd25e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">CGame::GetUIManager</a></div><div class="ttdeci">proto native UIManager GetUIManager()</div></div>
<div class="ttc" id="aclass_u_i_manager_html_acadc14e9bfa1f155646521dc97e67e15"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#acadc14e9bfa1f155646521dc97e67e15">UIManager::CloseWindow</a></div><div class="ttdeci">void CloseWindow(int id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd4/_u_i_manager_8c_source.html#l00215">UIManager.c:215</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html">UIScriptedWindow</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00001">UIScriptedWindow.c:2</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a12e6728928469272546f49b2f6b39229"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a12e6728928469272546f49b2f6b39229">UIScriptedWindow::UIScriptedWindow</a></div><div class="ttdeci">void UIScriptedWindow(int id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00044">UIScriptedWindow.c:44</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a159898fa5d95551103390fa2ab7ae38a"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a159898fa5d95551103390fa2ab7ae38a">UIScriptedWindow::OnFocusLost</a></div><div class="ttdeci">bool OnFocusLost(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00110">UIScriptedWindow.c:110</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a226e578ba4bc806923767ae4e54ff3e0"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a226e578ba4bc806923767ae4e54ff3e0">UIScriptedWindow::CloseWindow</a></div><div class="ttdeci">void CloseWindow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00074">UIScriptedWindow.c:74</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a2c991cc48a35c319c32809ab84f4544c"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a2c991cc48a35c319c32809ab84f4544c">UIScriptedWindow::OnKeyUp</a></div><div class="ttdeci">bool OnKeyUp(Widget w, int x, int y, int key)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00150">UIScriptedWindow.c:150</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a30406a035702d94d269a5cc74122c45c"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a30406a035702d94d269a5cc74122c45c">UIScriptedWindow::OnChange</a></div><div class="ttdeci">bool OnChange(Widget w, int x, int y, bool finished)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00160">UIScriptedWindow.c:160</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a555f5825c8a6c8d092b1cb2c8a77397f"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a555f5825c8a6c8d092b1cb2c8a77397f">UIScriptedWindow::Init</a></div><div class="ttdeci">Widget Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00060">UIScriptedWindow.c:60</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a56963612e32f35c1a1621852ecb40517"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a56963612e32f35c1a1621852ecb40517">UIScriptedWindow::OnClick</a></div><div class="ttdeci">bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00080">UIScriptedWindow.c:80</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a5d894240ab4474a88257b565dc0539b1"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a5d894240ab4474a88257b565dc0539b1">UIScriptedWindow::OnMouseWheel</a></div><div class="ttdeci">bool OnMouseWheel(Widget w, int x, int y, int wheel)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00135">UIScriptedWindow.c:135</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a73235400777cb1ce9b47cb61c287b52a"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a73235400777cb1ce9b47cb61c287b52a">UIScriptedWindow::OnMouseLeave</a></div><div class="ttdeci">bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00120">UIScriptedWindow.c:120</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a762de710fb67819ec2e35c1c4ea6fcf4"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a762de710fb67819ec2e35c1c4ea6fcf4">UIScriptedWindow::OnMouseButtonUp</a></div><div class="ttdeci">bool OnMouseButtonUp(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00130">UIScriptedWindow.c:130</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a7dbaca7c74df49be8b447938b65840f2"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a7dbaca7c74df49be8b447938b65840f2">UIScriptedWindow::OnSelect</a></div><div class="ttdeci">bool OnSelect(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00095">UIScriptedWindow.c:95</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a81f0bb2922a540464f54fc8fe73882d8"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a81f0bb2922a540464f54fc8fe73882d8">UIScriptedWindow::~UIScriptedWindow</a></div><div class="ttdeci">void ~UIScriptedWindow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00049">UIScriptedWindow.c:49</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a82efd3d19be18ccefa645d47383f15fb"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a82efd3d19be18ccefa645d47383f15fb">UIScriptedWindow::OnMouseButtonDown</a></div><div class="ttdeci">bool OnMouseButtonDown(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00125">UIScriptedWindow.c:125</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a8661439665213c34a22f243523917e90"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a8661439665213c34a22f243523917e90">UIScriptedWindow::OnDropReceived</a></div><div class="ttdeci">bool OnDropReceived(Widget w, int x, int y, Widget reciever)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00185">UIScriptedWindow.c:185</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a898a73fbf1feaefccf2abd9815f60bac"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a898a73fbf1feaefccf2abd9815f60bac">UIScriptedWindow::OnDrag</a></div><div class="ttdeci">bool OnDrag(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00165">UIScriptedWindow.c:165</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a8fb7178aa83c9caac963bc07b82ae284"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a8fb7178aa83c9caac963bc07b82ae284">UIScriptedWindow::OnDrop</a></div><div class="ttdeci">bool OnDrop(Widget w, int x, int y, Widget reciever)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00180">UIScriptedWindow.c:180</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a9c65428723356cd8b1e56c46cf79e4ed"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a9c65428723356cd8b1e56c46cf79e4ed">UIScriptedWindow::HideWindow</a></div><div class="ttdeci">void HideWindow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00069">UIScriptedWindow.c:69</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a9cb0aced3905cf2f0211cfb42b1f299f"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a9cb0aced3905cf2f0211cfb42b1f299f">UIScriptedWindow::OnKeyPress</a></div><div class="ttdeci">bool OnKeyPress(Widget w, int x, int y, int key)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00155">UIScriptedWindow.c:155</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_aa07e8f1280394bb316c892bf5728274d"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#aa07e8f1280394bb316c892bf5728274d">UIScriptedWindow::RemoveFromActiveWindows</a></div><div class="ttdeci">static void RemoveFromActiveWindows(int id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00019">UIScriptedWindow.c:19</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_aa1702be30519758f48eddd0db5c6aeac"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#aa1702be30519758f48eddd0db5c6aeac">UIScriptedWindow::m_Id</a></div><div class="ttdeci">int m_Id</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00004">UIScriptedWindow.c:4</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_aa3b30043c050497e11a7b29b50fba953"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#aa3b30043c050497e11a7b29b50fba953">UIScriptedWindow::ShowWindow</a></div><div class="ttdeci">void ShowWindow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00064">UIScriptedWindow.c:64</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_aab2edb4b1f502814b0adf6e9d28294e7"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#aab2edb4b1f502814b0adf6e9d28294e7">UIScriptedWindow::OnItemSelected</a></div><div class="ttdeci">bool OnItemSelected(Widget w, int x, int y, int row, int column, int oldRow, int oldColumn)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00100">UIScriptedWindow.c:100</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_ac0f32e0c3c142554d83e77c734bdad91"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#ac0f32e0c3c142554d83e77c734bdad91">UIScriptedWindow::OnController</a></div><div class="ttdeci">bool OnController(Widget w, int control, int value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00140">UIScriptedWindow.c:140</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_aca7dc84cfb655a970e03b71315940312"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#aca7dc84cfb655a970e03b71315940312">UIScriptedWindow::GetWidgetRoot</a></div><div class="ttdeci">Widget GetWidgetRoot()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00055">UIScriptedWindow.c:55</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_acc4d2577ff8a2f86f770a61fba091848"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#acc4d2577ff8a2f86f770a61fba091848">UIScriptedWindow::OnKeyDown</a></div><div class="ttdeci">bool OnKeyDown(Widget w, int x, int y, int key)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00145">UIScriptedWindow.c:145</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_ace798237a0ce2a1ee1800e488f9c057d"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#ace798237a0ce2a1ee1800e488f9c057d">UIScriptedWindow::OnDoubleClick</a></div><div class="ttdeci">bool OnDoubleClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00090">UIScriptedWindow.c:90</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_ad15cf8ff3756b620cb97d261f917567e"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#ad15cf8ff3756b620cb97d261f917567e">UIScriptedWindow::OnMouseEnter</a></div><div class="ttdeci">bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00115">UIScriptedWindow.c:115</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_ad2ee57d89d600b4ed375e7e70a90b38e"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#ad2ee57d89d600b4ed375e7e70a90b38e">UIScriptedWindow::OnModalResult</a></div><div class="ttdeci">bool OnModalResult(Widget w, int x, int y, int code, int result)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00085">UIScriptedWindow.c:85</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_ade2b2c6cc464945f66e84b58cce42bac"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#ade2b2c6cc464945f66e84b58cce42bac">UIScriptedWindow::m_WgtRoot</a></div><div class="ttdeci">Widget m_WgtRoot</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00003">UIScriptedWindow.c:3</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_ae087cf88e559512c4d9b4a2308e98ed4"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#ae087cf88e559512c4d9b4a2308e98ed4">UIScriptedWindow::OnDraggingOver</a></div><div class="ttdeci">bool OnDraggingOver(Widget w, int x, int y, Widget reciever)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00175">UIScriptedWindow.c:175</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_aed85218c34e3d52bdf288d731b98aa0a"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#aed85218c34e3d52bdf288d731b98aa0a">UIScriptedWindow::GetWindow</a></div><div class="ttdeci">static UIScriptedWindow GetWindow(int id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00027">UIScriptedWindow.c:27</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_aef23c61c9d23f8b6c5faab31c713fd0b"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#aef23c61c9d23f8b6c5faab31c713fd0b">UIScriptedWindow::OnEvent</a></div><div class="ttdeci">bool OnEvent(EventType eventType, Widget target, int parameter0, int parameter1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00190">UIScriptedWindow.c:190</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_af21bb918af28947b32708d1d87206545"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#af21bb918af28947b32708d1d87206545">UIScriptedWindow::AddToActiveWindows</a></div><div class="ttdeci">static void AddToActiveWindows(int id, UIScriptedWindow window)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00009">UIScriptedWindow.c:9</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_af7095a60415b4ba4e79b3ae056ae51e6"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#af7095a60415b4ba4e79b3ae056ae51e6">UIScriptedWindow::OnDragging</a></div><div class="ttdeci">bool OnDragging(Widget w, int x, int y, Widget reciever)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00170">UIScriptedWindow.c:170</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_afa9150e704fb082bee6dbf0f2d175a80"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#afa9150e704fb082bee6dbf0f2d175a80">UIScriptedWindow::m_ActiveWindows</a></div><div class="ttdeci">static ref map&lt; int, UIScriptedWindow &gt; m_ActiveWindows</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00007">UIScriptedWindow.c:7</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_afb130edfd85440aad06ab654765f6801"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#afb130edfd85440aad06ab654765f6801">UIScriptedWindow::OnFocus</a></div><div class="ttdeci">bool OnFocus(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00105">UIScriptedWindow.c:105</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_afd80e1dc4bad32e5016e7727ab0fb9c1"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#afd80e1dc4bad32e5016e7727ab0fb9c1">UIScriptedWindow::GetActiveWindows</a></div><div class="ttdeci">static map&lt; int, UIScriptedWindow &gt; GetActiveWindows()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00037">UIScriptedWindow.c:37</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga8bb92c7c1a97bd358a549857dc2fe53c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga8bb92c7c1a97bd358a549857dc2fe53c">EventType</a></div><div class="ttdeci">TypeID EventType</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00054">EnWidgets.c:54</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_907fa993cde0429e91bf5998789740ad.html">tools</a></li><li class="navelem"><a class="el" href="../../d7/d12/_u_i_scripted_window_8c.html">UIScriptedWindow.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
